Bug 178065 - RHTS test /desktop/ImageMagick/CVE-2005-4601 broken
RHTS test /desktop/ImageMagick/CVE-2005-4601 broken
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ImageMagick (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Norm Murray
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-17 12:35 EST by Matt Brodeur
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-08 20:19:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Brodeur 2006-01-17 12:35:23 EST
Description of problem:
Every time the test /desktop/ImageMagick/CVE-2005-4601 runs in RHTS it produces
a "warn" result with the following output:
/mnt/tests/ImageMagick/CVE-2005-4601/runtest.sh is missing

This problem affects all platforms and releases.

This is usually the result of an error in the makefile, or a CVS problem which
prevents the test from being built.


Additional info:
Result from running /desktop/ImageMagick/CVE-2005-4601:
http://rhts.lab.boston.redhat.com/cgi-bin/rhts/test_log.cgi?id=726438

In this case, the problem is likely related to the file named
'" ; echo "Hi!" >&2; : ".gif' in tests/ImageMagick/CVE-2005-4601.  This may be
preventing CVS from handling the other files properly.  Note the errors in this
commit message:
http://post-office.corp.redhat.com/archives/test-auto/2006-January/msg00048.html

The test in question is not being built into the rhts-ImageMagick-tests RPM.
Log from most recent i386 RHEL4 ImageMagick test build:
http://rhts.lab.boston.redhat.com/cgi-bin/rhts/test_log.cgi?id=725158
Comment 1 Matthias Clasen 2006-01-30 08:57:23 EST
Hmm, I tried to fix it by checking it in under a harmless name, and cp it in the
testcase, but it seems still broken.
Comment 2 Matt Brodeur 2007-01-08 20:19:28 EST
This test was fixed and updated Jan Hutar as part of the test verification process:
https://engineering.redhat.com/rt3/Ticket/Display.html?id=543

Closing

Note You need to log in before you can comment on or make changes to this bug.